Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.beans
Class Ressource

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.beans.Ressource

All Implemented Interfaces:
  java.lang.Comparable, XMLSerializable

public class Ressource
extends java.lang.Object
implements java.lang.Comparable, XMLSerializable

Ressource
Classe définissant le comportement d'une ressource de stockage
(c)Copyright ESup-Portail 2004

Version:
  $Revision: 1.1.2.3 $
Author:
  Mathieu Larchet

Constructor Summary
`Ressource()` Constructeur

Method Summary
`void` | `addParameter(java.lang.String name, java.lang.String value)` Ajoute un paramètre
`int` | `compareTo(java.lang.Object o)` Compare deux ressources suivant leur nom Implements Comparable interface
`java.lang.String` | `getClassname()` Retourne la classe
`java.lang.String` | `getDescription()` Retourne la description
`java.lang.String` | `getName()` Retourne le nom
`java.util.Map` | `getParameters()` Retourne les paramètres
`void` | `setClassname(java.lang.String classname)` Positionne la classe
`void` | `setDescription(java.lang.String description)` Positionne la description
`void` | `setName(java.lang.String name)` Positionne le nom
`java.lang.String` | `toXMLString()` La représentation XML de cet objet Implements XMLSerializable interface

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ressource

    public Ressource()

  Constructeur

Method Detail

### getName

    public java.lang.String getName()

  Retourne le nom

  Returns:
    name Le nom

### setName

    public void setName(java.lang.String name)

  Positionne le nom

  Parameters:
    `name` - Le nom

### getDescription

    public java.lang.String getDescription()

  Retourne la description

  Returns:
    description La description

### setDescription

    public void setDescription(java.lang.String description)

  Positionne la description

  Parameters:
    `description` - La description

### getClassname

    public java.lang.String getClassname()

  Retourne la classe

  Returns:
    classname La classe

### setClassname

    public void setClassname(java.lang.String classname)

  Positionne la classe

  Parameters:
    `classname` - La classe

### addParameter

    public void addParameter(java.lang.String name,
                             java.lang.String value)

  Ajoute un paramètre

  Parameters:
    `name` - Le nom
    `value` - La valeur

### getParameters

    public java.util.Map getParameters()

  Retourne les paramètres

  Returns:
    parameters Les paramètres

### compareTo

    public int compareTo(java.lang.Object o)

  Compare deux ressources suivant leur nom Implements Comparable interface

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Parameters:
    `o` - Objet à comparer

### toXMLString

    public java.lang.String toXMLString()

  La représentation XML de cet objet Implements XMLSerializable interface

  Specified by:
    `toXMLString` in interface `XMLSerializable`
  Returns:
    Le flux XML

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD